Migrate away from deprecated Truth APIs. am: 041b499d83 am: f3eb6ad182 am: 666e2f6c28 am: f5135d2c53

Original change: https://android-review.googlesource.com/c/platform/frameworks/opt/localepicker/+/1437940

Change-Id: I65d68a870124cd79cd8ede0dd82cbf580cbf04c9
diff --git a/tests/src/com/android/localepicker/LocaleStoreTest.java b/tests/src/com/android/localepicker/LocaleStoreTest.java
index fa953ee..39484fa 100644
--- a/tests/src/com/android/localepicker/LocaleStoreTest.java
+++ b/tests/src/com/android/localepicker/LocaleStoreTest.java
@@ -17,6 +17,7 @@
 package com.android.localepicker;
 
 import static com.google.common.truth.Truth.assertThat;
+import static com.google.common.truth.Truth.assertWithMessage;
 
 import static org.robolectric.RuntimeEnvironment.application;
 import static org.robolectric.Shadows.shadowOf;
@@ -61,7 +62,7 @@
     public void getLevel() {
         LocaleInfo localeInfo = LocaleStore.getLocaleInfo(Locale.forLanguageTag("zh-Hant-HK"));
         assertThat(localeInfo.getParent().toLanguageTag()).isEqualTo("zh-Hant");
-        assertThat(localeInfo.isTranslated()).named("is translated").isTrue();
+        assertWithMessage("is translated").that(localeInfo.isTranslated()).isTrue();
     }
 
     @Implements(LocalePicker.class)